public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-plugins/pidgin-gnome-keyring/files/, x11-plugins/pidgin-gnome-keyring/
@ 2016-04-28 15:15 Sam Jorna
  0 siblings, 0 replies; 2+ messages in thread
From: Sam Jorna @ 2016-04-28 15:15 UTC (permalink / raw
  To: gentoo-commits

commit:     5f5f50e4655d7da1cedc0f9c49a8d20010f9a6f1
Author:     Marek Szuba <Marek.Szuba <AT> cern <DOT> ch>
AuthorDate: Thu Apr 28 08:06:38 2016 +0000
Commit:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
CommitDate: Thu Apr 28 15:14:52 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5f5f50e4

x11-plugins/pidgin-gnome-keyring: new ebuild, initial version 2.0

By default Pidgin/Purple store saved passwords in plain text in their
configuration files. This plug-in makes it possible to store passwords
in a keyring instead.

Gentoo-Bug: 581422
Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/1368

 x11-plugins/pidgin-gnome-keyring/Manifest          |  1 +
 .../files/pidgin-gnome-keyring-2.0-plugindir.patch | 21 ++++++++++++
 x11-plugins/pidgin-gnome-keyring/metadata.xml      | 18 ++++++++++
 .../pidgin-gnome-keyring-2.0.ebuild                | 38 ++++++++++++++++++++++
 4 files changed, 78 insertions(+)

diff --git a/x11-plugins/pidgin-gnome-keyring/Manifest b/x11-plugins/pidgin-gnome-keyring/Manifest
new file mode 100644
index 0000000..ea47716
--- /dev/null
+++ b/x11-plugins/pidgin-gnome-keyring/Manifest
@@ -0,0 +1 @@
+DIST pidgin-gnome-keyring-2.0.tar.gz 12066 SHA256 f75bc1a859226a5ad7cf3012925835a4d70b83dcac57a95d452194601b03191c SHA512 b1f83c107631a7105aa517312f13d745922b8033afc15069cba1c515caeee9e6ad89c4c7a5f96c561713d7f7a6ca3f03cff8fb11566a8ea0d8980f10e85d4610 WHIRLPOOL 84549c2240121400c46be51e4562df1db27cd900e6170aabab9d18761b93af1b5b1b60dac4ea7124cadf22325e6b79efcae569573edb36458c2d8fe673962d23

diff --git a/x11-plugins/pidgin-gnome-keyring/files/pidgin-gnome-keyring-2.0-plugindir.patch b/x11-plugins/pidgin-gnome-keyring/files/pidgin-gnome-keyring-2.0-plugindir.patch
new file mode 100644
index 0000000..6aa6ffc
--- /dev/null
+++ b/x11-plugins/pidgin-gnome-keyring/files/pidgin-gnome-keyring-2.0-plugindir.patch
@@ -0,0 +1,21 @@
+--- a/Makefile	2015-02-07 03:23:05.000000000 +0000
++++ b/Makefile	2016-04-28 09:53:59.915565380 +0000
+@@ -2,6 +2,7 @@
+ 
+ SECRETFLAGS = `pkg-config --libs --cflags libsecret-1`
+ PURPLEFLAGS = `pkg-config --cflags purple`
++PLUGINDIR = `pkg-config --variable=plugindir purple`
+ VERSION = $(shell cat VERSION)
+ ifeq ($(strip $(VERSION)),)
+ 	VERSION = `git describe --tags`
+@@ -18,8 +19,8 @@
+ 	${CC} ${CFLAGS} ${LDFLAGS} -Wall -I. -g -O2 ${TARGET}.c -o ${TARGET}.so -shared -fPIC -DPIC -ggdb ${PURPLEFLAGS} ${SECRETFLAGS} -DVERSION=\"${VERSION}\"
+ 
+ install: ${TARGET}.so
+-	mkdir -p ${DESTDIR}/usr/lib/purple-2/
+-	cp ${TARGET}.so ${DESTDIR}/usr/lib/purple-2/
++	mkdir -p ${DESTDIR}/$(PLUGINDIR)/
++	cp ${TARGET}.so ${DESTDIR}/$(PLUGINDIR)/
+ 
+ install_local: ${TARGET}.so
+ 	mkdir -p ~/.purple/plugins

diff --git a/x11-plugins/pidgin-gnome-keyring/metadata.xml b/x11-plugins/pidgin-gnome-keyring/metadata.xml
new file mode 100644
index 0000000..cb327e2
--- /dev/null
+++ b/x11-plugins/pidgin-gnome-keyring/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>Marek.Szuba@cern.ch</email>
+		<name>Marek Szuba</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Gentoo Proxy Maintainers Project</name>
+	</maintainer>
+	<longdescription lang="en">
+	Pidgin usually stores passwords as plaintext with the "save password"
+	function. This plugin instead saves all passwords to the system
+	keyring, which some would argue is a more secure form of password
+	storage.
+	</longdescription>
+</pkgmetadata>

diff --git a/x11-plugins/pidgin-gnome-keyring/pidgin-gnome-keyring-2.0.ebuild b/x11-plugins/pidgin-gnome-keyring/pidgin-gnome-keyring-2.0.ebuild
new file mode 100644
index 0000000..99560c3
--- /dev/null
+++ b/x11-plugins/pidgin-gnome-keyring/pidgin-gnome-keyring-2.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Integrates Pidgin (and libpurple) with the system keyring"
+HOMEPAGE="https://github.com/aebrahim/pidgin-gnome-keyring"
+SRC_URI="https://github.com/aebrahim/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="app-crypt/libsecret
+	net-im/pidgin"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}/${P}-plugindir.patch"
+)
+
+src_prepare() {
+	default
+
+	# This file is used by the upstream Makefile yet is missing from at least
+	# some release tarballs.
+	if [ ! -f VERSION ]; then
+		echo "${PV}" > VERSION || die "failed to recreate VERSION file"
+	fi
+
+	sed -i \
+		-e 's|-O2||g' \
+		-e 's|-ggdb||g' \
+		-e 's|-g||g' \
+		Makefile || die "stripping hard-coded flags failed"
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-plugins/pidgin-gnome-keyring/files/, x11-plugins/pidgin-gnome-keyring/
@ 2021-05-26  9:09 Marek Szuba
  0 siblings, 0 replies; 2+ messages in thread
From: Marek Szuba @ 2021-05-26  9:09 UTC (permalink / raw
  To: gentoo-commits

commit:     71ecfeef8d6569f491a92b714ab0753cc6df2e46
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Wed May 26 09:08:19 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Wed May 26 09:08:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=71ecfeef

x11-plugins/pidgin-gnome-keyring: drop 2.0

Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 .../files/pidgin-gnome-keyring-2.0-plugindir.patch | 21 ------------
 .../pidgin-gnome-keyring-2.0.ebuild                | 37 ----------------------
 2 files changed, 58 deletions(-)

diff --git a/x11-plugins/pidgin-gnome-keyring/files/pidgin-gnome-keyring-2.0-plugindir.patch b/x11-plugins/pidgin-gnome-keyring/files/pidgin-gnome-keyring-2.0-plugindir.patch
deleted file mode 100644
index a96080fc6aa..00000000000
--- a/x11-plugins/pidgin-gnome-keyring/files/pidgin-gnome-keyring-2.0-plugindir.patch
+++ /dev/null
@@ -1,21 +0,0 @@
---- a/Makefile
-+++ b/Makefile
-@@ -2,6 +2,7 @@
- 
- SECRETFLAGS = `pkg-config --libs --cflags libsecret-1`
- PURPLEFLAGS = `pkg-config --cflags purple`
-+PLUGINDIR = `${PKG_CONFIG} --variable=plugindir purple`
- VERSION = $(shell cat VERSION)
- ifeq ($(strip $(VERSION)),)
- 	VERSION = `git describe --tags`
-@@ -18,8 +19,8 @@
- 	${CC} ${CFLAGS} ${LDFLAGS} -Wall -I. -g -O2 ${TARGET}.c -o ${TARGET}.so -shared -fPIC -DPIC -ggdb ${PURPLEFLAGS} ${SECRETFLAGS} -DVERSION=\"${VERSION}\"
- 
- install: ${TARGET}.so
--	mkdir -p ${DESTDIR}/usr/lib/purple-2/
--	cp ${TARGET}.so ${DESTDIR}/usr/lib/purple-2/
-+	mkdir -p ${DESTDIR}/$(PLUGINDIR)/
-+	cp ${TARGET}.so ${DESTDIR}/$(PLUGINDIR)/
- 
- install_local: ${TARGET}.so
- 	mkdir -p ~/.purple/plugins

diff --git a/x11-plugins/pidgin-gnome-keyring/pidgin-gnome-keyring-2.0.ebuild b/x11-plugins/pidgin-gnome-keyring/pidgin-gnome-keyring-2.0.ebuild
deleted file mode 100644
index 221d0975bdd..00000000000
--- a/x11-plugins/pidgin-gnome-keyring/pidgin-gnome-keyring-2.0.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Integrates Pidgin (and libpurple) with the system keyring"
-HOMEPAGE="https://github.com/aebrahim/pidgin-gnome-keyring"
-SRC_URI="https://github.com/aebrahim/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 x86"
-
-RDEPEND="app-crypt/libsecret
-	net-im/pidgin"
-DEPEND="${RDEPEND}
-	virtual/pkgconfig"
-
-PATCHES=(
-	"${FILESDIR}/${P}-plugindir.patch"
-)
-
-src_prepare() {
-	default
-
-	# This file is used by the upstream Makefile yet is missing from at least
-	# some release tarballs.
-	if [ ! -f VERSION ]; then
-		echo "${PV}" > VERSION || die "failed to recreate VERSION file"
-	fi
-
-	sed -i \
-		-e 's|-O2||g' \
-		-e 's|-ggdb||g' \
-		-e 's|-g||g' \
-		Makefile || die "stripping hard-coded flags failed"
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-05-26  9:09 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-05-26  9:09 [gentoo-commits] repo/gentoo:master commit in: x11-plugins/pidgin-gnome-keyring/files/, x11-plugins/pidgin-gnome-keyring/ Marek Szuba
  -- strict thread matches above, loose matches on Subject: below --
2016-04-28 15:15 Sam Jorna

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox